### Home Classes Methods

### In Files

- lib/termtter/active_rubytter.rb

### Parent

Object

### Methods

- ::new
- #[]
- #attributes=
- #destructize
- #id
- #method_missing
- #retweeted_status
- #to_hash

### Files

- ChangeLog
- README.rdoc

### Class/Module Index

Quicksearch

- Termtter
- Termtter::API
- Termtter::ActiveRubytter
- Termtter::Client
- Termtter::Client::DirectMessage
- Termtter::Client::Jakigan
- Termtter::Client::SearchEvent
- Termtter::Client::UserSearchEvent
- Termtter::Command
- Termtter::CommandCanceled
- Termtter::CommandLine
- Termtter::CommandNotFound
- Termtter::Config
- Termtter::ConfigSetup
- Termtter::Crypt
- Termtter::English
- Termtter::Event
- Termtter::HTTPpool
- Termtter::Hook
- Termtter::HookCanceled
- Termtter::Hookable
- Termtter::JSONError
- Termtter::MemoryCache
- Termtter::MemoryCache::MemCacheMock
- Termtter::OptParser
- Termtter::Plugin
- Termtter::Plugin::Screen
- Termtter::Plugins
- Termtter::Plugins::Haml
- Termtter::Plugins::ListSwitch
- Termtter::RubytterProxy
- Termtter::RubytterProxy::FrequentAccessError
- Termtter::RubytterProxy::LimitManager
- Termtter::Status
- Termtter::StdOut
- Termtter::Storage
- Termtter::Storage::SQLite3
- Termtter::Storage::Status
- Termtter::Task
- Termtter::TaskManager
- Termtter::TypableIdGenerator
- Termtter::UserStreamReceiver
- Yharian
- Yharian::Alex
- Yharian::Jenifer
- Yharian::Remark
- Yharian::Speaker
- Yharian::Vicki
- Yharian::Yhara
- HatenaKeywordHaiku
- HatenaKeywordHaiku::Word
- OAuth
- OAuth::AccessToken
- Readline
- Readline::LIBREADLINE
- AAMaker
- Array
- BrowserNotFound
- Growl
- IRB
- Object
- Status
- String
- Symbol
- TermColor
- TermtterIrcGateway
- User

No matching classes.

# Termtter::ActiveRubytter

### Public Class Methods

new(data) click to toggle source

    # File lib/termtter/active_rubytter.rb, line 7
    def initialize(data)
      self.attributes = data
    end

### Public Instance Methods

[](key) click to toggle source

    # File lib/termtter/active_rubytter.rb, line 15
    def [](key)
      @data[key]
    end

attributes=(raw_hash) click to toggle source

    # File lib/termtter/active_rubytter.rb, line 23
    def attributes=(raw_hash)
      @data = {}
      raw_hash.each do |key, value|
        key_symbol = key.to_s.to_sym
        if value.kind_of? Hash
          @data[key_symbol] = ActiveRubytter.new(raw_hash[key])
        else
          @data[key_symbol] = raw_hash[key]
        end
      end
    end

destructize() click to toggle source

    # File lib/termtter/active_rubytter.rb, line 43
    def destructize
      self.to_hash
    end

id() click to toggle source

    # File lib/termtter/active_rubytter.rb, line 11
    def id
      @data[:id]
    end

method_missing(name, *args) click to toggle source

    # File lib/termtter/active_rubytter.rb, line 19
    def method_missing(name, *args)
      @data[name]
    end

retweeted_status() click to toggle source

    # File lib/termtter/active_rubytter.rb, line 47
    def retweeted_status
      nil
    end

to_hash() click to toggle source

    # File lib/termtter/active_rubytter.rb, line 35
    def to_hash
      @data.inject({}) do |memo, (key, value)|
        memo[key] =
          (value.kind_of? self.class) ? value.to_hash : value
        memo
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.